Skip to main content
POST
Create a content fragment

Authorizations

Authorization
string
header
required

Your DUST API key is a Bearer token.

Path Parameters

wId
string
required

ID of the workspace

cId
string
required

ID of the conversation

Body

application/json
title
string
required

The title of the content fragment

Example:

"My content fragment"

content
string

The content of the content fragment (optional if fileId is set)

Example:

"This is my content fragment extracted text"

contentType
string

The content type of the content fragment (optional if fileId is set)

Example:

"text/plain"

url
string

The URL of the content fragment

Example:

"https://example.com/content"

fileId
string

The id of the previously uploaded file (optional if content and contentType are set)

Example:

"fil_123456"

path
string | null

Path of this file inside the sandbox conversation mount.

Example:

"conversation/report.csv"

skipDataSourceIndexing
boolean

Whether data source indexing was skipped for this file.

skipFileProcessing
boolean

Whether upload-time file processing was skipped.

nodeId
string

The id of the content node (optional if content and contentType are set)

Example:

"node_123456"

nodeDataSourceViewId
string

The id of the data source view (optional if content and contentType are set)

Example:

"dsv_123456"

context
object

Response

Content fragment created successfully.

title
string
required

The title of the content fragment

Example:

"My content fragment"

content
string

The content of the content fragment (optional if fileId is set)

Example:

"This is my content fragment extracted text"

contentType
string

The content type of the content fragment (optional if fileId is set)

Example:

"text/plain"

url
string

The URL of the content fragment

Example:

"https://example.com/content"

fileId
string

The id of the previously uploaded file (optional if content and contentType are set)

Example:

"fil_123456"

path
string | null

Path of this file inside the sandbox conversation mount.

Example:

"conversation/report.csv"

skipDataSourceIndexing
boolean

Whether data source indexing was skipped for this file.

skipFileProcessing
boolean

Whether upload-time file processing was skipped.

nodeId
string

The id of the content node (optional if content and contentType are set)

Example:

"node_123456"

nodeDataSourceViewId
string

The id of the data source view (optional if content and contentType are set)

Example:

"dsv_123456"

context
object